﻿using System;
using System.Windows.Navigation;

namespace NFC_4Developers
{
    class AssociationUriMapper : UriMapperBase
    {
        private string tempUri;
        public override Uri MapUri(Uri uri)
        {
            this.tempUri = System.Net.HttpUtility.UrlDecode(uri.ToString());
            // URI association launch for my app detected
            if (this.tempUri.Contains("developers:MainPage?Param="))
            {
                int categoryIndex = this.tempUri.IndexOf("Param=") + 6;
                string param = this.tempUri.Substring(categoryIndex);
                return new Uri("/MainPage.xaml?Param=" + param, UriKind.Relative);
            }
            // Otherwise perform normal launch.
            return uri;
        }
    }
}